cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--form-string 'note=<p>Customer called back.</p>' \
-F "file=@call-notes.txt"from exsited import build_client
client = build_client()
response = client.orders.update_order_note(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"<p>Customer called back.</p>",
files={"file": open("call-notes.txt", "rb")},
)
print(response.data)
import {readFileSync} from 'node:fs';
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.updateOrderNote(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'<p>Customer called back.</p>',
{files: {file: ['call-notes.txt', readFileSync('call-notes.txt')]}},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->updateOrderNote(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'<p>Customer called back.</p>',
['file' => ['call-notes.txt', fopen('call-notes.txt', 'r')]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.client.RequestOptions;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderNoteView;
import java.nio.file.Path;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderNoteView> response = client.orders().updateOrderNote(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"<p>Customer called back.</p>",
Map.of("file", Path.of("call-notes.txt")),
RequestOptions.none());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.UpdateOrderNoteAsync(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"<p>Customer called back.</p>",
new Dictionary<string, object?> { ["file"] = new object?[] { "call-notes.txt", File.ReadAllBytes("call-notes.txt") } });
Console.WriteLine(response.Json);
import 'dart:io';
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.updateOrderNote(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'<p>Customer called back.</p>',
files: {
'file': ['call-notes.txt', File('call-notes.txt').readAsBytesSync()],
},
);
print(response.map);
import (
"context"
"fmt"
"log"
"os"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
file, err := os.ReadFile("call-notes.txt")
if err != nil {
log.Fatal(err)
}
response, err := client.Orders().UpdateOrderNote(context.Background(), "ORD-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", "<p>Customer called back.</p>", map[string]any{"file": []any{"call-notes.txt", file}}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"order": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
]
}
}Orders
Update an order note
Replaces a note’s text, with an optional file, and returns it under note.
PATCH
/
orders
/
{order_id}
/
notes
/
{order_note_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--form-string 'note=<p>Customer called back.</p>' \
-F "file=@call-notes.txt"from exsited import build_client
client = build_client()
response = client.orders.update_order_note(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"<p>Customer called back.</p>",
files={"file": open("call-notes.txt", "rb")},
)
print(response.data)
import {readFileSync} from 'node:fs';
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.updateOrderNote(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'<p>Customer called back.</p>',
{files: {file: ['call-notes.txt', readFileSync('call-notes.txt')]}},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->updateOrderNote(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'<p>Customer called back.</p>',
['file' => ['call-notes.txt', fopen('call-notes.txt', 'r')]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.client.RequestOptions;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderNoteView;
import java.nio.file.Path;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderNoteView> response = client.orders().updateOrderNote(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"<p>Customer called back.</p>",
Map.of("file", Path.of("call-notes.txt")),
RequestOptions.none());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.UpdateOrderNoteAsync(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"<p>Customer called back.</p>",
new Dictionary<string, object?> { ["file"] = new object?[] { "call-notes.txt", File.ReadAllBytes("call-notes.txt") } });
Console.WriteLine(response.Json);
import 'dart:io';
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.updateOrderNote(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'<p>Customer called back.</p>',
files: {
'file': ['call-notes.txt', File('call-notes.txt').readAsBytesSync()],
},
);
print(response.map);
import (
"context"
"fmt"
"log"
"os"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
file, err := os.ReadFile("call-notes.txt")
if err != nil {
log.Fatal(err)
}
response, err := client.Orders().UpdateOrderNote(context.Background(), "ORD-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", "<p>Customer called back.</p>", map[string]any{"file": []any{"call-notes.txt", file}}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"order": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
]
}
}Send a multipart form: the new text as the
note part and, optionally, a file as the file part.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The order's id, as GET /orders lists it.
The note's id, from the create call or the notes listing.
Body
multipart/form-data
Response
200 - application/json
The updated note, under note.
Show child attributes
Show child attributes